<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link rel="stylesheet" href="styles.css">
  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha3/dist/css/bootstrap.min.css" rel="stylesheet"
    integrity="sha384-KK94CHFLLe+nY2dmCWGMq91rCGa5gtU4mk92HdvYe+M/SXH301p5ILy+dN9+nJOZ" crossorigin="anonymous">

  <title>Suitmedia</title>
</head>

<body>

  <header id="main-header">
    <div class="logo">
      <img src="Suitmedia.png" alt="Logo">
    </div>
    <nav>
      <ul>
        <li><a href="#home">Home</a></li>
        <li><a href="#about">About</a></li>
        <li><a href="#services">Services</a></li>
        <li><a href="#ideas"class="active">Ideas</a></li>
        <li><a href="#careers">Careers</a></li>
        <li><a href="#contact">Contact</a></li>
      </ul>
    </nav>
  </header>

  <section id="banner">
    <div class="parallax">
      <div class="banner-content">
        <h1>Ideas</h1>
        <p>Where all our great things begin</p>
      </div>
    </div>
  </section>

  <div id="app">
    <div class="controls">
      <div class="left-label">
        <label> Showing <span id="show-from">1</span> - <span id="show-to"> 10 </span> of <span id="total-items"> 50
          </span></label>
      </div>
      <div class="right-labels">
        <label for="perPage">Show Per Page : </label>
        <select id="perPage" onchange="changePerPage()">
          <option value="10">10</option>
          <option value="20">20</option>
          <option value="50">50</option>
        </select>
        <label for="sort">Sort By : </label>
        <select id="sort" onchange="sortPosts()">
          <option value="latest">Newest</option>
          <option value="oldest">Oldest</option>
        </select>
      </div>
    </div>

    <div id="posts" class="post-container"></div>

    <div class="pagination-container">
      <span class="pagination-link first" onclick="goToFirstPage()">&#171;&#171;</span>
      <span class="pagination-link prev" onclick="prevPage()">&#171;</span>
      <div id="pagination" class="pagination"></div>
      <span class="pagination-link next" onclick="nextPage()">&#187;</span>
      <span class="pagination-link last" onclick="goToLastPage()">&#187;&#187;</span>
    </div>
  </div>

  <script src="script.js"></script>

</body>

</html>
